Subject: [mpls] draft-andersson-mpls-lsp-ping-registries-update-01 - Updating the LSP Ping IANA registries

From: Carlos Pignataro <[email-masked]>
Date: Tue, 6 Aug 2019 16:14:05 -0400

Loa, Authors,

Please find comments and recommendations on, prefaced with “CMP":
https://tools.ietf.org/html/draft-andersson-mpls-lsp-ping-registries-update-01 <https://tools.ietf.org/html/draft-andersson-mpls-lsp-ping-registries-update-01> 

Updating the LSP Ping IANA registries

CMP: I would change the title to follow the actual name of the registration: “Updating IANA’s MPLS LSP Ping Parameters"

Abstract

   This document updates some registries in the LSP Ping IANA name
   space.  The updates are mostly for clarification and to align this
   registry with recent developments.

CMP: Similarly, s/LSP Ping/MPLS LSP Ping/ in the Abstract to match the registration.
CMP: Also, s/to align this registry/to align these registries/

Table of Contents

CMP: Editorial -> Arguably, the complete document is a set of “IANA Considerations”. That should be the main section encapsulating S2 and S3.

1.  Introduction

   When RFC 8029 [RFC8029] where published it contained among other

CMP: s/were published/was published/

   The LSP Ping IANA registries were partly updated to match RFC 8029,
   but the there were some ambiguity in the RFC, that were reflected in
   the registries.

CMP: s/were some ambiguity/was some ambiguity/.

CMP: However, I would not say there was “ambiguity”. I would instead write that the registrations can be further clarified and their definitions more precise.

   First the registries for Message Types [MessTypes], Reply Modes
   [re-Mode] and Return Codes [return-codes].  The changes to these
   registries are minor.

CMP: The anchor for all citations is confusing, and it gets mis-sorted. I recommend the following anchors throughout:

   OLD              NEW
  ----------------------------------
   [IANA-LSP-PING]  [IANA-LSP-PING]
   [MessTypes]      [IANA-MT]
   [re-Mode]        [IANA-RM]
   [return-codes]   [IANA-RC]
   [sub-1-16-21]    [IANA-Sub-n]
   [sub-11]         [IANA-Sub-11]
   [sub-20]         [IANA-Sub-20]
   ...
   [tlv-reg]        [IANA-TLV]

2.  Updating the Message Types, Reply Mode and Return Codes Registries

   The following changes are made to the Message Types, Reply Modes and
   Return Codes [MessTypes] registries.

CMP: Why only citation to message types?

   o  a small set of code points (4 code points) for experimental use is
      added, actually they are take from the range for "Private Use".

CMP: Gramar fixing needed.

   o  the registration procedure "Specification Required" is changed to
      "RFC Required" and the note "Experimental RFC needed" is removed

CMP: Please let’s fix the initial sentence capitalization

   IETF does not prescribe how the Experimental Use and Private Use sub-
   TLVs are handled; however, if a packet containing a sub-TLV from the
   Experimental Use or Private Use ranges is received by an LSR that
   does not recognize the sub-TLV, an error message MAY be returned if
   the sub-TLV is from the range 31744-32767, and the packet SHOULD be
   silently dropped if it is from the range 64512-65535.

CMP: Which specific error message is sent? This updates not only registration but also protocol constructs. As such, this should be called out in the abstract (since it already updates 8029)

4.  Security Considerations

   TBA

CMP: “This document does not introduce any additional security considerations beyond RFC 8029.”

   [return-codes]
              "Return Codes", <https://www.iana.org/assignments/
              mpls-lsp-ping-parameters/
              mpls-lsp-ping-parameters.xhtml#return-codes>.

CMP: In regards to all the references, the title needs to include “MPLS LSP Ping Parameters” before “, Return Codes”
CMP: Also the URI should be shorter: <https://www.iana.org/assignments/mpls-lsp-ping-parameters/#return-codes <https://www.iana.org/assignments/mpls-lsp-ping-parameters/#return-codes>>

   [RFC8611]  Akiya, N., Swallow, G., Litkowski, S., Decraene, B.,
              Drake, J., and M. Chen, "Label Switched Path (LSP) Ping
              and Traceroute Multipath Support for Link Aggregation
              Group (LAG) Interfaces", RFC 8611, DOI 10.17487/RFC8611,
              June 2019, <https://www.rfc-editor.org/info/rfc8611>.

CMP: This should be Informative.

I trust these are useful.

—
Carlos Pignataro, http://carlos.pignataro.net <http://carlos.pignataro.net/>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

---

From: Loa Andersson <[email-masked]>
Date: Fri, 16 Aug 2019 13:10:56 +0200

Folks, (adding Adrian as Shepherd),

It has take me a long tiime to start updating the draft according to the
much appreciated comments from Carlos and Adrian.

I have a question on one of the comments from Carlos:

> CMP: This should be Informative.

Adrain comment on updating RFC 8611 (his suggested text for Section 1):

NEW
    When RFC 8029 [RFC8029] where published it contained among other
    things updates to the "Multiprotocol Label Switching (MPLS) Label
    Switched Paths (LSPs) Ping Parameters" IANA name space
    [IANA-LSP-PING].

    RFC 8126 [RFC8126] updated the LSP Ping IANA registries to match
    RFC 8029, but there were still some ambiguities, that were
    reflected in the registries.

    This document updates [RFC8029] and [RFC8126] by updating two
    groups of registries.
END

So we are updating RFC 8611, and the text that we add/change will be
normative, does thai not make RFC 8611 a normative refrenece?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 16 Aug 2019 12:14:34 +0100

Yeah,

I think that Carlos was right in the context of the text he reviewed, but with my change the reference should stay normative.

Best,
Adrian

-----Original Message-----
From: Loa Andersson <[email-masked]> 
Sent: 16 August 2019 12:11
To: Carlos Pignataro <[email-masked]>
Cc: [email-masked]; mpls <[email-masked]>; Adrian Farrel <[email-masked]>
Subject: Re: draft-andersson-mpls-lsp-ping-registries-update-01 - Updating the LSP Ping IANA registries

NEW

/Loa

--

---

From: Carlos Pignataro <[email-masked]>
Date: Mon, 19 Aug 2019 23:02:28 -0400

Hi, Adrian, Loa,

>    reflected in the registries.

Should RFC 8126 be instead RFC 8611?

If so, then:
1. RFC 8126 could stay as it was.
2. RFC 8611 should be Normative (given the new text from Adrian, on RFC 8611 and not 8126).

Thanks!

—

> On Aug 16, 2019, at 7:14 AM, Adrian Farrel <[email-masked]> wrote:
> 
> Yeah,
>